:root{
    --color-white: #ffffff;
    --color-white-80: #ffffffcc;
    --color-black: #000000;
    --color-black-05: #0000000d;
    --color-light-gray: #eee9e7;
    --color-gray: #d6d1cf;
    --color-dark-gray: #8b7f7a;
    --color-dark-red: #a60000;

    --title-color: #a60000;

    --gradient-red: linear-gradient(90deg, #e60012, #a60000);
    --gradient-black: linear-gradient(90deg, #575554, #231815);
    --gradient-gray: linear-gradient(90deg, #bbb3b0, #8b7f7a);

    --section-space: 120px;
    --space-l: 60px;
    --space-m: 30px;
    --space-s: 15px;

    --header-height: 65px;
    --page-header-height: 250px;
    --footer-height: 0;
	--header-translate-Y: -0.25;

    --transition-m: 0.5s;
    --transition-l: 0.8s;
    --transition-xl: 1.5s;
    --transition-xxl: 1.8s;

    --font-size-s: 0.85rem;
    --font-size-m: 1.25rem;
    --font-size-l: 1.8rem;
}

html{
    font-size: 16px;
}

body{
    font-size: 1rem;
    font-family: "Noto Sans JP", sans-serif;
}

h2{
    font-weight: bold;
}

.shigen__section-title{
    position: relative;
    font-size: 2.5rem;
    text-align: center;
    margin-bottom: var(--space-l);
}

.shigen__section-title::after{
    content: "";
    position: absolute;
    width: 80px;
    height: 3px;
    border-radius: 3px;
    background: var(--gradient-red);
    bottom: -15px;
    left: 50%;
    transform: translateX(-50%);
}

img{
    width: 100%;
    height: 100%;
}

svg{
    height: 100%;
    width: 100%;
}

/* ヘッダー */
.shigen__header{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    height: var(--header-height);
    padding: 0 30px;
    color: var(--color-black);
}

.shigen__header::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: var(--gradient-black);
    z-index: -1;
    opacity: 0;
    transform: translateY(calc(var(--header-height) * var(--header-translate-Y)));
    transition: var(--transition-l);
}

.shigen__header.bg::before{
    opacity: 1;
    transform: translateY(0);
}

.shigen__header-inner-wrap{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transform: translateY(calc(var(--header-height) * -0.25));
    opacity: 0;
    animation: header-opening-animation 1.5s forwards;
    animation-delay: 0.5s;
}

@keyframes header-opening-animation {
    to{
        transform: translateY(0);
        opacity: 1;
    }
}

.shigen__header-logo a{
    display: block;
    height: 33px;
}

.shigen__header-logo svg {
    fill: var(--color-white);
}

.shigen__header-btn-wrap{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.shigen__header-lang ul{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    gap: 5px;
    color: var(--color-white);
    transition: var(--transition-m);
}

.shigen__header-lang.pc_none ul{
    gap: 10px;
    margin: var(--space-m) 0;
}

.shigen__header-lang li{
    text-align: center;
    font-size: 0.95rem;
}

.shigen__header-lang li a{
    display: flex;
    justify-content: center;
    align-items: center;
    border: solid 2px var(--color-white);
    border-radius: 12px;
    width: 50px;
    height: 30px;
    overflow: hidden;
    transition: background-color var(--transition-m), border-color var(--transition-m), color var(--transition-m);
}

.nav-open .shigen__header-lang a{
    border-color: var(--color-black);
    color: var(--color-black);
}

.shigen__header-lang .current a{
    background-color: var(--color-white);
    color: var(--color-black);
}

.nav-open .shigen__header-lang .current a{
    background-color: var(--color-black);
    color: var(--color-white);
}

.shigen__header-hamburger{
    width: 35px;
    height: 26px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.shigen__header-hamburger span{
    display: block;
    position: relative;
    width: 100%;
    height: 2px;
    background-color: var(--color-white);
    transition: var(--transition-m);
    will-change: transform;
}

.shigen__header-hamburger span:nth-of-type(3)::before{
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: var(--color-white);
    transition: var(--transition-m);
}

.nav-open .shigen__header-hamburger span:nth-of-type(3){
    transform: rotate(-30deg);
    background-color: var(--color-black);
}

.nav-open .shigen__header-hamburger span:nth-of-type(3)::before{
    transform: rotate(60deg);
    background-color: var(--color-black);
}

.nav-open .shigen__header-hamburger span:nth-of-type(1){
    transform: translateY(12px);
    opacity: 0;
}

.nav-open .shigen__header-hamburger span:nth-of-type(2){
    transform: translateY(6px);
    opacity: 0
}

.nav-open .shigen__header-hamburger span:nth-of-type(4){
    transform: translateY(-6px);
    opacity: 0
}

.nav-open .shigen__header-hamburger span:nth-of-type(5){
    transform: translateY(-12px);
    opacity: 0
}

.shigen__header-nav{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    min-height: 100vh;
    overflow-y: scroll;
    z-index: -1;
    display: flex;
    justify-content: left;
    align-items: flex-start;
    visibility: hidden;
    opacity: 0;
    backdrop-filter: blur(15px);
    transform: translateY(-30px);
    transition: var(--transition-l);
    background-color: var(--color-white-80);
}

.shigen__header-nav.is-show{
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
}

.shigen__header-nav-img-wrap{
    width: 70%;
    height: 100%;
    background-image: url(../images/kv_02.webp);
    background-size: cover;
    background-position: center 60%;
    filter: brightness(0.8);
}

.shigen__header-nav-inner-wrap{
    width: 30%;
    height: 100%;
    min-height: fit-content;
	min-width: 420px;
    padding: calc(var(--header-height) + var(--space-m)) var(--space-l) var(--space-m) var(--space-l);
}

.shigen__header-nav-list{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    max-width: 450px;
}

.shigen__header-nav-list li{
    width: 100%;
}

.shigen__header-nav.is-show .shigen__header-nav-list li{
    opacity: 0;
    transform: translateX(30px);
    animation: nav-list-animation var(--transition-m) forwards;
}

@keyframes nav-list-animation{
    to{
        opacity: 1;
        transform: translateX(0);
    }
}

.shigen__header-nav-list li a{
    display: block;
    padding: var(--space-m) var(--space-s) var(--space-s) var(--space-s);
    border-bottom: solid 1px var(--color-gray);
}

.shigen__header-nav-list li.current a{
    pointer-events: none;
} 

.shigen__header-nav-list li a span{
    display: inline-block;
}

.shigen__header-nav-list li.current a span{
    transform: translateX(10px);
    color: var(--color-dark-red);
}

.shigen__header-nav-list li.current a span::before{
    content: "・";
}

@media (hover: hover){
    .shigen__header-nav-list li a{
        transition: border-color var(--transition-m), background-color var(--transition-m);
    }

    .shigen__header-nav-list li a:hover{
        background-color: var(--color-black-05);
    }

    .shigen__header-nav-list li a span{
        transition: transform var(--transition-m), color var(--transition-m);
    }

    .shigen__header-nav-list li a:hover span{
        transform: translateX(10px);
        color: var(--color-dark-red);
    }
}

@media (hover: none){
    .shigen__header-nav-list li a:active{
        background-color: var(--color-black-05);
    }
}

.no-scroll{
    overflow: hidden;
}

/* ページヘッダー */
.shigen__page-header{
    width: 100%;
    height: var(--page-header-height);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: calc(var(--header-height) / 2) 10% 0 10%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.shigen__page-header-title{
    font-size: clamp(2.2rem, 1.909rem + 1.45vw, 3rem);
    font-weight: 600;
    color: var(--color-white);
}

/* コンテンツ */
.shigen__contents-wrap{
    margin: 0 auto;
    padding: 80px 0 var(--space-l) 0;
    width: 80%;
    max-width: 950px;
    min-height: calc(100vh - var(--footer-height));
}

/* 内部リンクボタン */
.shigen__internal-link-wrap{
    text-align: center;
}

.shigen__internal-link{
    position: relative;
    overflow: hidden;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 250px;
    height: 3rem;
    border: solid 1px var(--color-dark-red);
    color: var(--color-dark-red);
}

.shigen__internal-link::before{
    position: absolute;
    z-index: -1;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    background: var(--gradient-red);
}

.shigen__internal-link-wrap.prev span::before,
.shigen__internal-link-wrap.next span::after{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 1rem;
    height: 1rem;
    font-size: var(--font-size-s);
    aspect-ratio: 1 / 1;
    border-radius: 0.6rem;
    background: var(--gradient-red);
    color: var(--color-white);
}

.shigen__internal-link-wrap.prev span::before{
    content: "<";
    margin-right: 5px;
}

.shigen__internal-link-wrap.next span::after{
    content: ">";
    margin-left: 5px;
}

@media (hover: hover){
    .shigen__internal-link{
        transition: color var(--transition-m), opacity var(--transition-m);
    }
    
    .shigen__internal-link:hover{
        color: var(--color-white);
    }

    .shigen__internal-link::before{
        transition: var(--transition-m);
    }

    .shigen__internal-link:hover::before{
        opacity: 1;
    }

    .shigen__internal-link-wrap.prev span::before,
    .shigen__internal-link-wrap.next span::after{
        transition: var(--transition-m);
    }

    .shigen__internal-link:hover span::before{
        background: var(--color-white);
        color: var(--color-dark-red);
        transform: translateX(-5px);
    }
    .shigen__internal-link:hover span::after{
        background: var(--color-white);
        color: var(--color-dark-red);
        transform: translateX(5px);
    }
}

@media (hover: none){
    .shigen__internal-link:active{
        color: var(--color-white);
    }

    .shigen__internal-link:active::before{
        opacity: 1;
    }

    .shigen__internal-link:active span::before{
        background: var(--color-white);
        color: var(--color-dark-red);
    }
    .shigen__internal-link:active span::after{
        background: var(--color-white);
        color: var(--color-dark-red);
    }
}

/* リンクボタン、ダウンロードボタンなど */
.shigen__center-linkbanner{
	position:relative;
	display:block;
	padding:10px;
	margin: 20px auto;
	color:var(--title-color);
	background:var(--color-white);
	border:2px solid var(--title-color);
	text-align: center;
}

.shigen__center-linkbanner::after {
	content: '';
	position: absolute;
	top: 0.5em;
	left: 0.5em;
	width: 100%;
	height: 100%;
	z-index: -1;
	border: 2px solid var(--title-color);
}

@media (hover: hover){
    .shigen__center-linkbanner{
        transition: color var(--transition-m), background-color var(--transition-m);
    }

    .shigen__center-linkbanner:hover{
        color: var(--color-white);
        background-color :var(--title-color);
    }
}

@media (hover: none){
    .shigen__center-linkbanner:active{
        color: var(--color-white);
        background: var(--title-color);
    }
}

a.shigen__center-linkbanner{
	text-decoration: none;
}

/* カテゴリ */
.shigen__categories-list{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: var(--space-m);
}

.shigen__categories-list li{
    display: inline-block;
    text-align: center;
}

.shigen__categories-list li a{
    display: block;
    padding: 10px 20px;
    border-radius: 12px;
    overflow: hidden;
}

@media (hover: hover){
    .shigen__categories-list li a{
        transition: opacity var(--transition-m);
    }

    .shigen__categories-list li a:hover{
        opacity: 0.6;
    }
}

@media (hover: none){
    .shigen__categories-list li a:active{
        opacity: 0.6;
    }
}

.shigen__categories-list .all a{
    background: var(--gradient-gray);
    color: var(--color-white);
}

.awards a,
.awards:not(:has(a)){
    background: var(--gradient-red);
    color: var(--color-white);
}

.topics a,
.topics:not(:has(a)){
    background: var(--gradient-black);
    color: var(--color-white);
}

/* フッター */
.shigen__footer{
    padding: 5px 10%;
    background: var(--gradient-black);
    color: var(--color-white);
    font-size: var(--font-size-s);
    font-weight: lighter;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    animation: page-fade-in-animation var(--transition-l) forwards ease-out;
}

/* フェードアニメーション */
.js-fade{
    opacity: 0;
    transform: translateY(25px);
    transition: var(--transition-m) ease-out;
}

.js-fade.visible{
    opacity: 1;
    transform: translateY(0);
}

.fade-in .shigen__page-header{
    opacity: 0;
    animation: page-fade-in-animation var(--transition-l) forwards ease-out;
}

.fade-in .shigen__contents-wrap{
    opacity: 0;
    transform: translateY(25px);
    animation: page-fade-in-animation var(--transition-l) forwards ease-out;
    animation-delay: var(--transition-m);
}

@keyframes page-fade-in-animation{
    to{
        opacity: 1;
        transform: translateY(0);
    }
}

.pc_none{
    display: none;
}

@media screen and (max-width: 768px) {
    .shigen__header{
        padding: 0 15px;
    }

    .shigen__header-logo{
        max-width: calc(100% - 40px);
    }

    .shigen__header-logo svg{
        transition: var(--transition-m);
    }

    .nav-open svg {
        fill: var(--color-black);
    }

    .shigen__header-nav{
        display: block;
    }

    .shigen__header-nav-inner-wrap{
        width: 80%;
		min-width: auto;
        margin: 0 auto;
        padding: calc(var(--header-height) + var(--space-s)) 0 var(--space-m) 0;
    }

    .shigen__header-nav.is-show .shigen__header-nav-list li{
        opacity: 0;
        transform: translateY(-30px);
        animation: nav-list-animation var(--transition-m) forwards;
    }

    .shigen__section-title{
        font-size: var(--font-size-l);
    }

    .shigen__categories-list{
        gap: 5px;
        margin-bottom: var(--space-s);
    }

    .shigen__categories-list li a{
        display: block;
        padding: 5px 10px;
    }

    .sp_none{
        display: none;
    }

    .pc_none{
        display: block;
    }

}